For the complete documentation index, see llms.txt. This page is also available as Markdown.

Clients

Returns all clients

get
Authorizations
ApiKeystringRequired

Api key taken from 'Gateway API key' setting.

Query parameters
clientNamestringOptional
Responses
200

OK

descriptionstring · nullableOptional
ssccCompanyIdstring · nullableOptional
companyNamestring · nullableOptional
emailstring · nullableOptional
phonestring · nullableOptional
contactPersonstring · nullableOptional
taxIdstring · nullableOptional
address1string · nullableOptional
address2string · nullableOptional
citystring · nullableOptional
stateProvincestring · nullableOptional
zipPostalCodestring · nullableOptional
countrystring · nullableOptional
idstring · uuidOptional
namestring · nullableOptional
get/clients
GET /clients HTTP/1.1
ApiKey: YOUR_API_KEY
Accept: */*
200

OK

[
  {
    "description": "text",
    "ssccCompanyId": "text",
    "companyName": "text",
    "email": "text",
    "phone": "text",
    "contactPerson": "text",
    "taxId": "text",
    "address1": "text",
    "address2": "text",
    "city": "text",
    "stateProvince": "text",
    "zipPostalCode": "text",
    "country": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text"
  }
]

Create new client

post
Authorizations
ApiKeystringRequired

Api key taken from 'Gateway API key' setting.

Body
descriptionstring · nullableOptional
ssccCompanyIdstring · nullableOptional
companyNamestring · nullableOptional
emailstring · nullableOptional
phonestring · nullableOptional
contactPersonstring · nullableOptional
taxIdstring · nullableOptional
address1string · nullableOptional
address2string · nullableOptional
citystring · nullableOptional
stateProvincestring · nullableOptional
zipPostalCodestring · nullableOptional
countrystring · nullableOptional
namestring · nullableOptional

Unique client code/name (required, immutable after creation)

Responses
200

OK

idstring · uuidOptional
post/clients
POST /clients HTTP/1.1
ApiKey: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 261

{
  "description": "text",
  "ssccCompanyId": "text",
  "companyName": "text",
  "email": "text",
  "phone": "text",
  "contactPerson": "text",
  "taxId": "text",
  "address1": "text",
  "address2": "text",
  "city": "text",
  "stateProvince": "text",
  "zipPostalCode": "text",
  "country": "text",
  "name": "text"
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000"
}

Update an existing client

put
Authorizations
ApiKeystringRequired

Api key taken from 'Gateway API key' setting.

Body
descriptionstring · nullableOptional
ssccCompanyIdstring · nullableOptional
companyNamestring · nullableOptional
emailstring · nullableOptional
phonestring · nullableOptional
contactPersonstring · nullableOptional
taxIdstring · nullableOptional
address1string · nullableOptional
address2string · nullableOptional
citystring · nullableOptional
stateProvincestring · nullableOptional
zipPostalCodestring · nullableOptional
countrystring · nullableOptional
idstring · uuidOptional

Client ID (required for update)

Responses
200

OK

idstring · uuidOptional
put/clients
PUT /clients HTTP/1.1
ApiKey: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 291

{
  "description": "text",
  "ssccCompanyId": "text",
  "companyName": "text",
  "email": "text",
  "phone": "text",
  "contactPerson": "text",
  "taxId": "text",
  "address1": "text",
  "address2": "text",
  "city": "text",
  "stateProvince": "text",
  "zipPostalCode": "text",
  "country": "text",
  "id": "123e4567-e89b-12d3-a456-426614174000"
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000"
}

Last updated

Was this helpful?